curl "https://api.scanova.io/theme/user-42-ocean-breeze-a1b2c3/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 7,
"name": "Ocean Breeze",
"slug": "user-42-ocean-breeze-a1b2c3",
"description": "A cool blue palette.",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" }, "font": { "heading": "Inter" } },
"schema_version": 2,
"category_hints": ["website-url", "vcard"],
"thumbnail_url": "https://cdn.scanova.io/themes/7/thumb.png",
"is_system": false,
"is_premium": false,
"order": 0
}
السمات وقوالب الصفحات
الحصول على سمة
GET /theme//
GET
/
theme
/
{slug}
/
curl "https://api.scanova.io/theme/user-42-ocean-breeze-a1b2c3/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 7,
"name": "Ocean Breeze",
"slug": "user-42-ocean-breeze-a1b2c3",
"description": "A cool blue palette.",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" }, "font": { "heading": "Inter" } },
"schema_version": 2,
"category_hints": ["website-url", "vcard"],
"thumbnail_url": "https://cdn.scanova.io/themes/7/thumb.png",
"is_system": false,
"is_premium": false,
"order": 0
}
يحصل على سمة واحدة عبر السمة (slug) أو المعرّف، على مضيف Management API (
يُعاد
api.scanova.io)، مع المصادقة باستخدام مفتاح Management API الخام الخاص بك.
GET https://api.scanova.io/theme/{slug}/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
string
مطلوب
سمة (slug) الخاصة بالسمة (معرّف
id رقمي يعمل أيضًا بنفس شكل المسار).curl "https://api.scanova.io/theme/user-42-ocean-breeze-a1b2c3/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 7,
"name": "Ocean Breeze",
"slug": "user-42-ocean-breeze-a1b2c3",
"description": "A cool blue palette.",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" }, "font": { "heading": "Inter" } },
"schema_version": 2,
"category_hints": ["website-url", "vcard"],
"thumbnail_url": "https://cdn.scanova.io/themes/7/thumb.png",
"is_system": false,
"is_premium": false,
"order": 0
}
لا يُطبَّق أي فحص للملكية هنا — يمكن الحصول على أي سمة نشطة، بما في ذلك سمة حساب آخر، عبر السمة (slug) أو المعرّف، لأن السمات مورد مشترك للقراءة لمنشئ الصفحات. تظل الكتابة في سمة لا تملكها محظورة — راجع تحديث سمة.
404 إذا لم تطابق slug أي سمة نشطة.
ذات صلة
- سرد السمات — تصفح جميع السمات.
- تحديث سمة — تعديل هذه السمة، إذا كنت تملكها.
- الحصول على أعداد استخدام سمة — الاطلاع على ما يستخدمها.
- نظرة عامة على Management API — مخطط المصادقة وقواعد الحصة المطبّقة على نقطة النهاية هذه.
التفويضات
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
معلمات المسار
الاستجابة
One theme.
هل كانت هذه الصفحة مفيدة؟